/********************************************************* {COPYRIGHT-TOP} ***
 * Licensed Materials - Property of IBM
 * 5725-Z22, 5725-Z63, 5725-U33, 5725-Z63
 *
 * (C) Copyright IBM Corporation 2016, 2017
 *
 * All Rights Reserved.
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 ********************************************************** {COPYRIGHT-END} **/
// Node module: apiconnect-cli-config

var f = require('util').format;
var logger = require('apiconnect-cli-logger');
var testSupport = require('apiconnect-cli-test-support');
var test = require('tap').test;
var path = require('path');

var moduleRoot = path.resolve(__dirname, '..');
var apic = testSupport.apic(moduleRoot);

var spaceUri = 'apic-space://dev.acmeair.com/orgs/acmeair/catalogs/prod/spaces/flights';
var listFormat = 'space: %s';
var deletedFormat = 'Deleted space: %s';

test('config:set - space', function(t) {
  return apic(f('config:set space=%s', spaceUri))
    .then(function() {
      var output = logger.values();
      t.equals(output.length, 1);
      t.equals(output[0], f(listFormat, spaceUri));
    });
});

test('config:list - space', function(t) {
  return apic(f('config'))
    .then(function() {
      var output = logger.values();
      t.equals(output.length, 1);
      t.equals(output[0], f(listFormat, spaceUri));
    });
});

test('config:delete - space', function(t) {
  return apic(f('config:delete space'))
    .then(function() {
      var output = logger.values();
      t.equals(output.length, 1);
      t.equals(output[0], f(deletedFormat, spaceUri));
    });
});

